Name:           gstreamer1.0-vaapi
Version:        1.10.3
Release:        %mkrel 2
Summary:        A collection of VA-API based plugins for GStreamer and helper libraries
Group:          System/Libraries
License:        LGPLv2+ and GPLv2+
URL:            https://github.com/01org/gstreamer-vaapi
Source0:        http://gstreamer.freedesktop.org/src/gstreamer-vaapi/gstreamer-vaapi-%{version}.tar.xz
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-codecparsers-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libva)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xrandr)
# Libs were dropped by upstream and only the plugin is shipped
Obsoletes:      %{_lib}gstreamer-vaapi0 < 1.7.90

%description
Gstreamer-vaapi is a collection of VA-API based plugins for GStreamer
and helper libraries. vaapidecode is used to decode MPEG-2, MPEG-4,
H.264, VC-1, WMV3 videos to video/x-vaapi-surface surfaces, depending
on the underlying HW capabilities. vaapiconvert is used to convert from
video/x-raw-yuv pixels to video/x-vaapi-surface surfaces. vaapisink is
used to display video/x-vaapi-surface surfaces to the screen.

%prep
%setup -qn gstreamer-vaapi-%{version}
%autopatch -p1

%build
%configure2_5x \
	--disable-gtk-doc \
	--disable-gtk-doc-html
%make_build V=1

%install
%make_install

# drop plugin docs
rm -rf %{buildroot}/%{_datadir}/gtk-doc/

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc NEWS README
%{_libdir}/gstreamer-1.0/libgstvaapi.so


%changelog
* Tue May 02 2017 akien <akien> 1.10.3-2.mga6
+ Revision: 1098359
- Rebuild for ffmpeg 3.3

* Fri Feb 10 2017 ns80 <ns80> 1.10.3-1.mga6
+ Revision: 1085499
- new version 1.10.3

* Sun Jan 15 2017 wally <wally> 1.10.2-1.mga6
+ Revision: 1081803
- new version 1.10.2

* Sun Aug 21 2016 luigiwalser <luigiwalser> 1.8.3-1.mga6
+ Revision: 1047615
- 1.8.3

* Fri Jun 10 2016 luigiwalser <luigiwalser> 1.8.2-1.mga6
+ Revision: 1021009
- 1.8.2

* Mon May 09 2016 luigiwalser <luigiwalser> 1.8.1-1.mga6
+ Revision: 1011420
- 1.8.1

* Fri Mar 25 2016 wally <wally> 1.8.0-1.mga6
+ Revision: 995271
- new version 1.8.0
- add pkg origin information

* Sat Mar 19 2016 wally <wally> 1.7.91-1.mga6
+ Revision: 992975
- new version 1.7.91

* Sun Mar 06 2016 wally <wally> 1.7.90-1.mga6
+ Revision: 986586
- rename src.rpm as gstreamer1.0-vaapi
- drop lib and devel pkgs as upstream doesn't ship them anymore
- fetch gstreamer-vaapi.doap from upstream which is needed to build the pkg and is missing from the release tarball
- drop plugin gtk-docs
- drop unneeded patches

  + ovitters <ovitters>
    - new version 1.7.90

* Mon Feb 15 2016 umeabot <umeabot> 0.7.0-2.mga6
+ Revision: 960578
- Mageia 6 Mass Rebuild

* Thu Dec 17 2015 ovitters <ovitters> 0.7.0-1.mga6
+ Revision: 911178
- new version 0.7.0

* Thu Oct 08 2015 ovitters <ovitters> 0.6.1-3.mga6
+ Revision: 887711
- add my very first (probably terribly written) patch to fix linking
- enable egl

* Thu Oct 08 2015 ovitters <ovitters> 0.6.1-2.mga6
+ Revision: 887651
- enable gles

* Thu Oct 08 2015 ovitters <ovitters> 0.6.1-1.mga6
+ Revision: 887635
- new version 0.6.1

* Tue Sep 29 2015 zezinho <zezinho> 0.6.0-1.mga6
+ Revision: 885179
- new version 0.6.0

* Wed Oct 15 2014 umeabot <umeabot> 0.5.9-6.mga5
+ Revision: 742608
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.9-5.mga5
+ Revision: 679970
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 luigiwalser <luigiwalser> 0.5.9-4.mga5
+ Revision: 673208
- fix gstreamer0.10-vaapi obsoletes due to strange packaging in former package

* Sat Sep 06 2014 luigiwalser <luigiwalser> 0.5.9-3.mga5
+ Revision: 672694
- obsolete gstreamer0.10-vaapi

* Wed Sep 03 2014 zezinho <zezinho> 0.5.9-2.mga5
+ Revision: 671486
- build against gstreamer1.0, as 0.10 is deprecated

* Fri Aug 01 2014 tv <tv> 0.5.9-1.mga5
+ Revision: 659002
- BR nasm+yasm
- convert other BRs to pkgconfig style
- fix unsatisfied X11 BR: 'X11-devel' => 'pkgconfig(x11)'
- new release
- disable parallel build
- verbose build
- imported package gstreamer-vaapi

